<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    tools:context=".features.detail.DetailFragment">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

    <androidx.appcompat.widget.Toolbar
        android:id="@+id/toolbarView"
        android:layout_width="match_parent"
        android:layout_height="?android:attr/actionBarSize"
        android:minHeight="?android:attr/actionBarSize"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.core.widget.NestedScrollView
        android:id="@+id/item_detail_container"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/toolbarView"
        android:padding="20dp"
        app:layout_behavior="@string/appbar_scrolling_view_behavior" >

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="15dp"
            android:orientation="vertical">

            <com.google.android.material.textview.MaterialTextView
                android:id="@+id/txtTrackName"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:text="Track Name"
                style="@style/Styles.Text.Headline"
                android:textSize="20sp"
                android:textStyle="bold"/>

            <com.google.android.material.textview.MaterialTextView
                android:id="@+id/txtArtistName"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:text="Artist Name"/>

            <com.google.android.material.imageview.ShapeableImageView
                android:id="@+id/imgArtWork"
                android:layout_width="50dp"
                android:layout_height="50dp"
                android:layout_marginTop="15dp"
                style="@style/Styles.ImageView.Round"
                android:layout_gravity="center_horizontal"/>

            <com.google.android.material.button.MaterialButton
                android:id="@+id/btnPrice"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                style="@style/Styles.Button.Primary"
                android:layout_marginTop="15dp"
                android:text="$9.00" />

            <com.google.android.material.textview.MaterialTextView
                android:id="@+id/txtAbout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:textSize="20sp"
                android:textStyle="bold"
                android:layout_marginTop="20dp"
                android:text="About this audiobook"/>

            <com.google.android.material.textview.MaterialTextView
                android:id="@+id/txtLongDescription"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="15dp"/>


            <com.google.android.material.textview.MaterialTextView
                android:id="@+id/txtGenre"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="@drawable/bg_oval_outlined"
                android:layout_marginTop="20dp"
                android:paddingTop="5dp"
                android:paddingBottom="5dp"
                android:paddingStart="10dp"
                android:paddingEnd="10dp"
                android:text="Sample Genre"/>

        </LinearLayout>

    </androidx.core.widget.NestedScrollView>

    </RelativeLayout>

</layout>